
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ecoportal/api/version"

Gem::Specification.new do |spec|
  spec.name          = "ecoportal-api"
  spec.version       = Ecoportal::API::VERSION
  spec.authors       = ["Tapio Saarinen"]
  spec.email         = ["tapio@ecoportal.co.nz", "rien@ecoportal.co.nz", "oscar@ecoportal.co.nz", "bozydar@ecoportal.co.nz"]

  spec.summary       = %q{A collection of helpers for interacting with the ecoPortal MS's various APIs}
  spec.homepage      = "https://www.ecoportal.com"
  spec.licenses      = %w[MIT]

  spec.required_ruby_version = '>= 2.4.4'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler",   ">= 2.2.17",  "< 2.3"
  spec.add_development_dependency "rspec",     ">= 3.10.0", "< 3.11"
  spec.add_development_dependency "rake",      ">= 13.0.3", "< 13.1"
  spec.add_development_dependency "yard",      ">= 0.9.26", "< 0.10"
  spec.add_development_dependency "redcarpet", ">= 3.5.1",  "< 3.6"
  spec.add_development_dependency "pry"      , "~> 0.14"

  spec.add_dependency 'http',          '~> 4.4.1', "< 5"
  spec.add_dependency 'dotenv',        '>= 2.7.6', "< 2.8"
  spec.add_dependency 'elastic-apm',   '>= 4.0.0', "< 4.1"
  spec.add_dependency 'hash-polyfill', '~> 0'
end
